Export (0) Print
Expand All

EntityViewGenerator.Validate Method (StorageMappingItemCollection, Version)

.NET Framework 4.6 and 4.5

This API is not CLS-compliant. 

Namespace:  System.Data.Entity.Design
Assembly:  System.Data.Entity.Design (in System.Data.Entity.Design.dll)

[CLSCompliantAttribute(false)]
public static IList<EdmSchemaError> Validate(
	StorageMappingItemCollection mappingCollection,
	Version targetEntityFrameworkVersion
)

Parameters

mappingCollection
Type: System.Data.Mapping.StorageMappingItemCollection

The StorageMappingItemCollection to be validated.

targetEntityFrameworkVersion
Type: System.Version

The property of EntityFrameworkVersions that corresponds to the targeted version of the Entity Framework.

Return Value

Type: System.Collections.Generic.IList<EdmSchemaError>
A list that contains any validation errors.

.NET Framework

Supported in: 4.6, 4.5, 4
Show:
© 2015 Microsoft